---
- name: docker up on DO
  hosts: docker-servers
  remote_user: root
  vars_files:
    - vars.yml

  tasks:
  - name: install packages
    apt:
      name: ['python3-pip']
      update_cache: yes


  - name: install python docker dependency
    pip:
      name: docker

  - name: docker run
    community.docker.docker_container:
     name: app
     image: hexletcomponents/devops-example-app
     ports:
      - "80:5000"
     env:
       SERVER_MESSAGE: "{{ message }}"